Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.BlockOfChildren<Next>

Type Parameters:
  `Next` -

Enclosing class:
  Graph

    public static interface Graph.BlockOfChildren<Next>

A component used to specify a block of children starting either `at a particular index` or `after a previous sibling`.

Method Summary
`Next` | `startingAfter(Location previousSibling)` Specify the block of children is to start with the child immediately following the supplied node.
`Next` | `startingAfter(Path previousSibling)` Specify the block of children is to start with the child immediately following the supplied node.
`Next` | `startingAfter(Property idPropertyOfPreviousSibling)` Specify the block of children is to start with the child immediately following the supplied node.
`Next` | `startingAfter(Property firstIdPropertyOfPreviousSibling, Property... additionalIdPropertiesOfPreviousSibling)` Specify the block of children is to start with the child immediately following the supplied node.
`Next` | `startingAfter(String pathToPreviousSiblingName)` Specify the block of children is to start with the child immediately following the supplied node.
`Next` | `startingAfter(UUID previousSiblingUuid)` Specify the block of children is to start with the child immediately following the supplied node.
`Graph.Under<Next>` | `startingAt(int startingIndex)` Specify the block of children is to start at the supplied index.

Method Detail

### startingAt

    Graph.Under<Next> startingAt(int startingIndex)

  Specify the block of children is to start at the supplied index.

  Parameters:
    `startingIndex` - the zero-based index of the first child to be returned in the block
  Returns:
    interface used to specify the parent of the children; never null

### startingAfter

    Next startingAfter(Location previousSibling)

  Specify the block of children is to start with the child immediately following the supplied node. This method is typically used when a previous block of children has already been retrieved and this request is retrieving the next block.

  Parameters:
    `previousSibling` - the location of the sibling node that is before the first node in the block
  Returns:
    the children; never null

### startingAfter

    Next startingAfter(String pathToPreviousSiblingName)

  Specify the block of children is to start with the child immediately following the supplied node. This method is typically used when a previous block of children has already been retrieved and this request is retrieving the next block.

  Parameters:
    `pathToPreviousSiblingName` - the path of the sibling node that is before the first node in the block
  Returns:
    the children; never null

### startingAfter

    Next startingAfter(Path previousSibling)

  Specify the block of children is to start with the child immediately following the supplied node. This method is typically used when a previous block of children has already been retrieved and this request is retrieving the next block.

  Parameters:
    `previousSibling` - the path of the sibling node that is before the first node in the block
  Returns:
    the children; never null

### startingAfter

    Next startingAfter(UUID previousSiblingUuid)

  Specify the block of children is to start with the child immediately following the supplied node. This method is typically used when a previous block of children has already been retrieved and this request is retrieving the next block.

  Parameters:
    `previousSiblingUuid` - the UUID of the sibling node that is before the first node in the block
  Returns:
    the children; never null

### startingAfter

    Next startingAfter(Property idPropertyOfPreviousSibling)

  Specify the block of children is to start with the child immediately following the supplied node. This method is typically used when a previous block of children has already been retrieved and this request is retrieving the next block.

  Parameters:
    `idPropertyOfPreviousSibling` - the property that uniquely identifies the previous sibling
  Returns:
    the children; never null

### startingAfter

    Next startingAfter(Property firstIdPropertyOfPreviousSibling,
                       Property... additionalIdPropertiesOfPreviousSibling)

  Specify the block of children is to start with the child immediately following the supplied node. This method is typically used when a previous block of children has already been retrieved and this request is retrieving the next block.

  Parameters:
    `firstIdPropertyOfPreviousSibling` - the first property that, with the `additionalIdProperties`, uniquely identifies the previous sibling
    `additionalIdPropertiesOfPreviousSibling` - the additional properties that, with the `additionalIdProperties`, uniquely identifies the previous sibling
  Returns:
    the children; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.